package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum AuditStatusEnum implements BaseEnum<String,AuditStatusEnum> {
    AUDITING("审核中"), REJECT("审核拒绝"), OPEN("审核通过");
    @EnumValue
    private String code;

    private String msg;

    AuditStatusEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
